Retrieve a file
curl --request GET \
--url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Qonto-Partner-Id: <api-key>'import requests
url = "https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}"
headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};
fetch('https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registration_file": {
"id": "d7344200-97d7-44b7-8fc5-9e5fb2f8831b",
"filename": "document.pdf",
"filesize_bytes": 981723,
"url": "https://example-s3-url",
"created_at": "2021-08-17T12:31:32.689Z",
"file_type": "organization-deposit-certificate",
"stakeholder_id": "<string>"
}
}{
"errors": [
{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>"
}
}
]
}{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The record identified by <uuid> could not be found."
}
]
}Files
Retrieve a file
Retrieves the file identified by the id path parameter for the registration identified by the registrationId path parameter.
Supported only for registrations in company creation flow (legal_flow = company_creation).
GET
/
register
/
registrations
/
{registrationId}
/
files
/
{id}
Retrieve a file
Authorizations
Bearer authorization header: Bearer <token>.
To get your <token>, please sign up to the Developer Portal.
API Key authorization header: Qonto-Partner-Id: <partner_id>.
To get your <partner_id> please, sign up to the Developer Portal.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
id of the File resource
id of the Registration resource
Response
Returns the file identified by the id path parameter.
Show child attributes
Show child attributes
Was this page helpful?
⌘I